# This is not working for some reason

apiVersion: apps/v1
kind: Deployment
metadata:
  name: mongo-express
  namespace: exercise-2
spec:
  selector:
    matchLabels:
      app: mongo-express
  template:
    metadata:
      labels:
        app: mongo-express
    spec:
      containers:
      - name: mongo-express
        image: mongo-express
        env:
        - name: ME_CONFIG_MONGODB_URL
          value: mongodb://mongo:27017
        - name: ME_CONFIG_BASICAUTH
          value: "false"
        resources:
          limits:
            memory: "512Mi"
            cpu: "500m"
        ports:
        - containerPort: 8081

---

apiVersion: v1
kind: Service
metadata:
  name: mongo-express
  namespace: exercise-2
spec:
  selector:
    app: mongo-express
  ports:
  - port: 8081
    targetPort: 8081
